Name:           qtgpsc
Version:        0.3.1
Release:        13%{?dist}
Summary:        A client for the gpsd GPS server

License:        GPLv3
URL:            http://code.google.com/p/qtgpsc/
Source0:        http://qtgpsc.googlecode.com/files/%{name}-%{version}.tar.gz
Source1:        %{name}.desktop
Patch0:         %{name}-0.3.1-libgps6.patch

BuildRequires:  cmake
BuildRequires:  desktop-file-utils
BuildRequires:  gpsd-devel >= 2.96
BuildRequires:  qt4-devel

%description
qtGPSc connects to a GPS receiver via gpsd and displays position,
speed, and time, as well as various precision indicators and satellite
configuration.
It can also show the raw GPS data in GPSD or NMEA format.

%prep
%setup -q
%patch0 -p1

%build
%cmake
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}
# install -Dp -m 0755 %{name} %{buildroot}%{_bindir}/%{name}
rm -rf .ui/ && rm -rf .obj/ && rm -rf .moc
desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{SOURCE1}

%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files
%doc CHANGELOG LICENSE README
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png

%changelog
* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.1-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Apr 10 2015 Ralf Corsépius <corsepiu@fedoraproject.org> - 0.3.1-12
- Reflect libgps API having changed
  (Add qtqpsc-0.3.1-libgps6.patch; Fix FTBFS RHBZ #1210727).

* Mon Mar 09 2015 Fabian Affolter <mail@fabian-affolter.ch> - 0.3.1-11
- Rebuilt (libgps)

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Nov 27 2013 Fabian Affolter <mail@fabian-affolter.ch> - 0.3.1-8
- Rebuilt

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Nov 10 2012 Fabian Affolter <mail@fabian-affolter.ch> - 0.3.1-5
- Rebuilt

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Oct 11 2011 Peter Robinson <pbrobinson@fedoraproject.org> - 0.3.1-2
- Rebuild for new gpsd

* Tue Aug 23 2011 Tom Callaway <spot@fedoraproject.org> - 0.3.1-1
- update to 0.3.1

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Sep 11 2010 Fabian Affolter <mail@fabian-affolter.ch> - 0.3.0-1
- gpsd patch removed
- Updated to QT4
- Switched from qmake to cmake
- Updated source url and project url
- Updated doc stuff
- Updated to new upstream version 0.3.0

* Sat May 08 2010 Fabian Affolter <mail@fabian-affolter.ch> - 0.2.3-7
- Rebuild for new gpsd

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Apr 02 2009 Kevin Kofler <Kevin@tigcc.ticalc.org> - 0.2.3-5
- Include "gpsdclient.h" so it actually builds with the new gpsd

* Sun Mar 29 2009 Kevin Kofler <Kevin@tigcc.ticalc.org> - 0.2.3-4
- Rebuild for new gpsd

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Jan 28 2009 Fabian Affolter <mail@fabian-affolter.ch> - 0.2.3-2
- License is BSD
- Fixed source URL
- Fixed .desktop file and added icon

* Tue Dec 30 2008 Fabian Affolter <mail@fabian-affolter.ch> - 0.2.3-1
- Initial package for Fedora
